import React from 'react';
import PropTypes from 'prop-types';

import VirtualTable from './VirtualTable';
import PagesLoader from './../../../../src/js/components/PagesLoader';


function LoadTable(props) {
    if (props.dataIsLoaded) {
        return (<VirtualTable {...props.tableProps} />);
    }
    return (<PagesLoader />);
}

LoadTable.propTypes = {
    dataIsLoaded: PropTypes.bool,
    tableProps: PropTypes.shape({
        disableActions: PropTypes.bool,
        selectedItems: PropTypes.arrayOf(PropTypes.shape()),
        totalCount: PropTypes.number,
        allItems: PropTypes.shape(),
        tableSize: PropTypes.shape({
            width: PropTypes.number,
            height: PropTypes.number,
            headerHeight: PropTypes.number,
            rowHeight: PropTypes.number,
        }),
        dispatch: PropTypes.func,
    }),
};

LoadTable.defaultProps = {
    dataIsLoaded: false,
    tableProps: {
        disableActions: false,
        selectedItems: [],
        totalCount: 0,
        allItems: new Map(),
        tableSize: {
            width: 0,
            height: 0,
            headerHeight: 0,
            rowHeight: 0,
        },
        dispatch: () => {},
    },
};

export default LoadTable;
