import React from 'react';
import Modal from 'react-modal';
import { connect } from 'react-redux';
import PropTypes from 'prop-types';

import { MODULE } from '../common/constants';
import { closeSyncCompleteModal } from '../store/actions';

const SyncCompleteModal = (props) => {
    const { style } = props;
    const { open } = props.syncComplete;
    style.content.width = '350px';
    
    return (
        <Modal
            contentLabel="companyDelete"
            isOpen={open}
            style={style}
        >
            <div className="Vehicle-Modals">
                <div className="Modal-Substrate">
                    <div className="Modal-Content"><i className="fa fa-check fa-4x" aria-hidden="true" style={{ color: 'green' }} /></div>
                    <div className="Modal-Message">Sync completed</div>
                    <div>
                        <button
                            className="OneBtn"
                            data-cy="sync-complete-ok"
                            onClick={() => {
                                props.dispatch(closeSyncCompleteModal());
                            }}
                        >
                            Ok
                        </button>
                    </div>
                </div>
            </div>
        </Modal>
    );
};

SyncCompleteModal.propTypes = {
    style: PropTypes.object,
    dispatch: PropTypes.func,
    syncComplete: PropTypes.shape({
        message: PropTypes.string,
        open: PropTypes.bool,
    }),
};

SyncCompleteModal.defaultProps = {
    style: {},
    dispatch: () => {},
    syncComplete: {
        message: '',
        open: true,
    },
};

const mapStateToProps = state => ({
    syncComplete: state[MODULE.ZONE_MANAGER].modals.syncComplete,
});

export default connect(mapStateToProps)(SyncCompleteModal);
