import { batch } from 'react-redux';
import { loadZoneDownloadStatuses, syncStatus, refreshStatus, loadLastSyncTransaction } from './../api';

import { ACTIONS, MODAL_ACTIONS } from './../../common/constants';
import { errorHandlerGetRequest } from '../../../../src/js/stores/actions/errorHandlerActions';


export const loadZoneDownloadStatus = () => dispatch => new Promise((resolve) => {
    loadZoneDownloadStatuses()
        .then((zone_download_status) => {
            batch(() => {
                dispatch({
                    type: ACTIONS.ZONE_DOWNLOAD_STATUS_SET,
                    params: zone_download_status,
                });
    
                dispatch({
                    type: ACTIONS.ZONE_DOWNLOAD_STATUS_LOADED,
                });
            });
            resolve();
        })
        .catch((err) => { errorHandlerGetRequest(err, dispatch); });
});

export const syncStatuses = trackables => dispatch => syncStatus(trackables, dispatch);
export const refreshStatuses = trackables => dispatch => refreshStatus(trackables, dispatch);

export const openSyncCompleteModal = () => ({ // todo: check usage
    type: MODAL_ACTIONS.OPEN_SYNC_COMPLETE_MODAL,
});

export const closeSyncCompleteModal = () => ({
    type: MODAL_ACTIONS.CLOSE_SYNC_COMPLETE_MODAL,
});


export const getLastSyncTransaction = () => dispatch => new Promise((resolve) => {
    loadLastSyncTransaction()
        .then((transaction) => {
            dispatch({
                type: ACTIONS.ZONE_DOWNLOAD_TRANSACTION_SET,
                params: transaction,
            });
            resolve();
        })
        .catch((err) => { errorHandlerGetRequest(err, dispatch); });
});
