import axios from 'axios';
import { errorHandler } from '../../../../src/js/stores/actions/errorHandlerActions';


export function loadZoneDownloadStatuses() {
    return axios.get('/api/v2/zone_download_status').then(({ data }) => data.zone_download_status || data);
}

export function loadLastSyncTransaction() {
    return axios.get('/api/v2/zone_download_request/last_transaction').then(({ data }) => data.zone_download_transaction || data);
}

export function syncStatus(trackables, dispatch) {
    if (trackables && trackables.length > 0) {
        const trackable_uids = trackables.map(tko => ({ trackable_uid: tko.uid }));
        const data = {
            zone_download_request: {
                trackables: trackable_uids,
                action: 'UPDATE',
            },
        };
        return axios.post('/api/v2/zone_download_request', data)
            .catch((err) => { errorHandler(err, dispatch); });
    }
    // console.warn('[syncStatus]: no trackables to sync');
    return undefined;
}

export function refreshStatus(trackables, dispatch) {
    if (trackables && trackables.length > 0) {
        const trackable_uids = trackables.map(tko => ({ trackable_uid: tko.uid }));
        const data = {
            zone_download_request: {
                trackables: trackable_uids,
                action: 'VERIFY',
            },
        };
        return axios.post('/api/v2/zone_download_request', data)
            .catch((err) => { errorHandler(err, dispatch); });
    }
    // console.warn('[refreshStatus]: no trackables to refresh')
    return undefined;
}
