const DBMigrate = require('db-migrate');
const Env = require('utils/env_variables');
const conf = require('../../routes/config');
const logger = require('../../utils/logger');

const dbFile = conf.db_file;

const addon_db_upgrade = async (scope) => {
    const dbmigrate = DBMigrate.getInstance(true, { cwd: __dirname, config: dbFile, env: Env.getMigrationEnv() });
    return dbmigrate.up(undefined, scope)
        .then(() => {
            logger.info('rtls-addon-zone-manager successfully migrated.');
        }).catch((error) => {
            logger.logex(error);
        });
};
const addon_db_downgrade = async (scope) => {
    const dbmigrate = DBMigrate.getInstance(true, { cwd: __dirname, config: dbFile, env: Env.getMigrationEnv() });
    return dbmigrate.down(undefined, scope)
        .then(() => {
            logger.info('rtls-addon-zone-manager successfully migrated.');
        }).catch((error) => {
            logger.logex(error);
        });
};


module.exports = {
    addon_db_upgrade,
    addon_db_downgrade,
};
