const mohair = require('mohair');

const { db } = require('../../../../routes/global');
const sql = require('./sqls');


class ZoneDownloadStatusRepo {
    static async getTrackablesProjects(trackable_uids) {
        return db.queryAsync(sql.getTrackablesProjectsSql(), [trackable_uids]);
    }
    static async getZoneDownloadStatus(trackable_uid, queryString) {
        let q = mohair.table('zone_download_status').select('trackable_uid', 'download_status', 'ts', 'reason', 'sync_requested');
        const { status } = queryString;
        if (status) {
            q = q.where('(download_status = ?)', status.toUpperCase());
        }
        if (trackable_uid) {
            q = q.where('(trackable_uid = ?)', trackable_uid);
        }
        return db.queryAsync(q.sql(), q.params());
    }
    static async getTrackableWithProject(trackable_uid) {
        return db.queryAsync(sql.getTrackableWithProjectSql(), [trackable_uid]).get(0);
    }
    static async deleteStatusByTrackable(trackable_uid) {
        return db.queryAsync(sql.deleteStatusByTrackableSql(), [trackable_uid]);
    }
    static async upsertStatus(formatted_status_list) {
        await db.queryAsync(sql.upsertStatusSql(), [formatted_status_list]);
    }
}

module.exports = {
    ZoneDownloadStatusRepo,
};
