const express = require('express');

const router = express.Router();
const { validate, token, scope, projectTag } = require('middlewares');
const handler = require('./handlers');
const { zones_download_request } = require('./validation_scheme');

router.use(token());
router.use(scope());
router.use(projectTag());


router.get('/last_transaction', handler.getLastTransaction);
router.post(['/'], validate(zones_download_request), handler.sendZoneDownloadRequest);

module.exports = {
    path: 'zone_download_request',
    router,
};
