const express = require('express');

const router = express.Router();
const middlewares = require('middlewares');

const privateProjectTag = require('middlewares').privateProjectTag;
const handler = require('./handlers');
const { zones_download_request } = require('./validation_scheme');

router.use(privateProjectTag());
router.use(middlewares.checkReadiness());

router.post(['/'], middlewares.validate(zones_download_request), handler.sendZoneDownloadRequest);

module.exports = {
    path: 'private/zone_download_request',
    router,
};
