const Joi = require('@hapi/joi');

const uid = Joi.string().length(22);
const trackables_list = Joi.object({
    trackable_uid: uid.required(),
});

const zones_download_request = Joi.object({
    zone_download_request: Joi.object({
        action: Joi.string().valid('UPDATE', 'VERIFY').required(),
        trackables: Joi.array().items(trackables_list).min(1).required(),
    }).required(),
}).required();

module.exports = {
    zones_download_request,
};
