const router = require('express').Router();
const {
    validate, checkReadiness, token, scope, projectTag,
} = require('middlewares');

const handler = require('./handlers');
const { createUpdateZoneDownloadStatus } = require('./validation_scheme');

router.use(token());
router.use(scope());
router.use(projectTag());
router.use(checkReadiness());

router.get(['/', '/:uid'], handler.getZoneDownloadStatusHandler); // query /?status=<STATUS>

router.post('/', validate(createUpdateZoneDownloadStatus), handler.setZoneDownloadStatusHandler);

router.delete('/:uid', handler.deleteZoneDownloadStatus);

module.exports = {
    path: 'zone_download_status',
    router,
};
