const router = require('express').Router();
const { validate, privateProjectTag } = require('middlewares');

const handler = require('./handlers');
const { createUpdateZoneDownloadStatus } = require('./validation_scheme');

router.use(privateProjectTag());

router.get(['/', '/:uid'], handler.getZoneDownloadStatusHandler); // query /?status=<STATUS>

router.post('/', validate(createUpdateZoneDownloadStatus), handler.setZoneDownloadStatusHandler);

router.delete('/:uid', handler.deleteZoneDownloadStatus);

module.exports = {
    path: 'private/zone_download_status',
    router,
};
