function getTrackablesProjectsSql() {
    return 'SELECT uid, project_uid FROM trackable_objects WHERE uid in (?) AND removed_at > NOW() AND project_uid IS NOT NULL;';
}

function getTrackableWithProjectSql() {
    return 'SELECT * FROM trackable_objects WHERE uid = ? AND project_uid IS NOT NULL';
}

function deleteStatusByTrackableSql() {
    return 'DELETE FROM zone_download_status WHERE trackable_uid = ?';
}

function upsertStatusSql() {
    return `INSERT INTO zone_download_status (trackable_uid, download_status, reason) VALUES ?
            ON DUPLICATE KEY UPDATE download_status = VALUES(download_status), ts = NOW(3), reason = VALUES(reason), sync_requested = 0;`;
}


module.exports = {
    getTrackablesProjectsSql,
    getTrackableWithProjectSql,
    deleteStatusByTrackableSql,
    upsertStatusSql,
};

