const Joi = require('@hapi/joi');
const ZONE_DOWNLOAD_STATUS = require('../constants').ZONE_DOWNLOAD_STATUS;

const uid = Joi.string().length(22);

const zone_download_status = Joi.object({
    trackable_uid: uid.required(),
    download_status: Joi.string().valid(...Object.keys(ZONE_DOWNLOAD_STATUS)).required(),
    reason: Joi.string().optional(),
});

const createUpdateZoneDownloadStatus = Joi.object({
    zone_download_status: Joi.array().items(zone_download_status).required(),
});


module.exports = {
    createUpdateZoneDownloadStatus,
};
